curl --request GET \
--url https://api.adamik.io/api/{chainId}/account/{accountId}/state \
--header 'Authorization: <api-key>'import requests
url = "https://api.adamik.io/api/{chainId}/account/{accountId}/state"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.adamik.io/api/{chainId}/account/{accountId}/state', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chainId": "algorand",
"accountId": "<string>",
"balances": {
"native": {
"available": "<string>",
"total": "<string>",
"unconfirmed": "<string>"
},
"tokens": [
{
"token": {
"type": "TRC10",
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"decimals": "<string>",
"contractAddress": "<string>"
},
"amount": "<string>"
}
],
"staking": {
"total": "<string>",
"locked": "<string>",
"unlocking": "<string>",
"unlocked": "<string>",
"positions": [
{
"validatorAddresses": [
"<string>"
],
"amount": "<string>",
"status": "free",
"stakeId": "<string>",
"completionDate": "<string>"
}
],
"rewards": {
"native": [
{
"validatorAddress": "<string>",
"amount": "<string>"
}
],
"tokens": [
{
"token": {
"type": "TRC10",
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"decimals": "<string>",
"contractAddress": "<string>"
},
"amount": "<string>",
"validatorAddress": "<string>"
}
]
}
}
}
}Get Account State (Balances)
Returns the state of a specified account identifier (address or xpub) and chain ID, focusing on balance information. The response includes details on native asset balances, token balances, and staking balances. This endpoint supports optional filters to refine the results, making it essential for wallet applications to display accurate and tailored account information.
Authorizations
Path Parameters
algorand, cosmoshub, cosmoshub-testnet, osmosis, osmosis-testnet, celestia, celestia-testnet, dydx, axelar, ethereum, sepolia, hoodi, holesky, zksync, zksync-sepolia, injective-evm-testnet, base, base-sepolia, optimism, optimism-sepolia, arbitrum, arbitrum-sepolia, bitcoin, bitcoin-testnet, bitcoin-signet, polygon, polygon-amoy, bsc, bsc-testnet, linea, linea-sepolia, avalanche, avalanche-fuji, gnosis, gnosis-chiado, moonbeam, moonriver, moonbase, fantom, mantle, rootstock, rootstock-testnet, litecoin, dogecoin, ton, chiliz, chiliz-testnet, injective, akash, band, dymension, kyve, terra2, stargaze, tron, evmos, irisnet, juno, lum-network, omniflix, sei, medibloc, passage, quasar, seda, sommelier, shentu, stride, chihuahua, bitsong, persistence, comdex, fetch-ai, humans-ai, ki, likecoin, provenance, quicksilver, saga, kava, starknet, starknet-sepolia, babylon, babylon-testnet, monad-testnet, berachain, berachain-bepolia, cronos, world-chain, world-chain-sepolia, hyperliquid, solana, aptos, aptos-testnet, stellar, stellar-testnet Account identifier (address, xpub, etc) for the specified chain ID
Query Parameters
Optional filter to request specific data. Use a single 'include' parameter with comma-separated values.
"native,tokens,staking"
"native,tokens"
"native,staking"
"native"
"tokens"
"staking"
Optional public key (in hex format) associated with the accountId. Required for Bitcoin's Babylon Staking data.
Response
Returns the current balance information for the specified address and chain ID.
algorand, cosmoshub, cosmoshub-testnet, osmosis, osmosis-testnet, celestia, celestia-testnet, dydx, axelar, ethereum, sepolia, hoodi, holesky, zksync, zksync-sepolia, injective-evm-testnet, base, base-sepolia, optimism, optimism-sepolia, arbitrum, arbitrum-sepolia, bitcoin, bitcoin-testnet, bitcoin-signet, polygon, polygon-amoy, bsc, bsc-testnet, linea, linea-sepolia, avalanche, avalanche-fuji, gnosis, gnosis-chiado, moonbeam, moonriver, moonbase, fantom, mantle, rootstock, rootstock-testnet, litecoin, dogecoin, ton, chiliz, chiliz-testnet, injective, akash, band, dymension, kyve, terra2, stargaze, tron, evmos, irisnet, juno, lum-network, omniflix, sei, medibloc, passage, quasar, seda, sommelier, shentu, stride, chihuahua, bitsong, persistence, comdex, fetch-ai, humans-ai, ki, likecoin, provenance, quicksilver, saga, kava, starknet, starknet-sepolia, babylon, babylon-testnet, monad-testnet, berachain, berachain-bepolia, cronos, world-chain, world-chain-sepolia, hyperliquid, solana, aptos, aptos-testnet, stellar, stellar-testnet Show child attributes
Show child attributes
Was this page helpful?